Verified by the sovseal team

GET /envelopes

Retrieve paginated lists of server-blind encrypted envelopes.

This endpoint serves a chronological, paginated list of the agent's encrypted envelopes. The server strips the initial $12$-byte initialization vector (IV) from the stored binary block and serves it as a separate base64 field to make client-side Web Crypto decryption straightforward.

Request URL

GET /envelopes

Query Parameters

ParameterTypeRequiredDescription
limitintegerNoMaximum envelopes to return. Min 1, Max 500, Default 100.
sinceintegerNoExclusive lower sequence number bound.
beforeintegerNoExclusive upper sequence number bound.

Response Headers

The response returns cursor pagination info in the following headers:

  • x-result-count: The number of envelopes returned in the current page.
  • x-next-cursor: The sequence number of the last envelope on the page. Use this as the since parameter value for the next page request. If empty, you have reached the end.

Response Schema (200 OK)

A JSON array of encrypted envelopes:

[
  {
    "ciphertext": "YmFzZTY0X2NpcGhlcnRleHRfZXhhbXBsZV93aXRoX2l2X2FuZF9hdXRoX3RhZw==",
    "iv": "MTIzNDU2Nzg5MDEy",
    "clientPayloadHash": "84c8a8d11d95e0cce8da70c1a96c14b7454f738f65429384f9b4f3b7d1597f8c",
    "sequenceNumber": 1,
    "timestamp": "2026-06-09T16:45:30.123Z"
  }
]

On this page